Subject: bug#32709: Clojure doesn't provide "clojure" executable

From: Ben Sturmfels <[email-masked]>
Date: Thu, 13 Dec 2018 16:36:23 +1100

On 13/12/18 14:08, Ben Sturmfels wrote:

> After some investigating I see that Clojure project's current approach
> is different again to Debian. Their releases eg.
> https://download.clojure.org/install/clojure-tools-1.9.0.XXX.tar.gz
> include scripts `clj` and `clojure` which come from
> https://github.com/clojure/brew-install. These scripts use functionality
> from https://github.com/clojure/tools.deps.alpha/ to automatically
> download any libraries you've declared a dependency on at runtime.
> 
> There will surely be a script that does this multi-repository build, but
> I haven't found it yet.

Alex Miller advised that the build is run by the scripts in the
clojure/brew-install repo. It runs "script/package.sh".

Regards,
Ben